let g:rustfmt_autosave = 0

let g:tagbar_ctags_bin = '/usr/bin/universal-ctags'

let g:rust_doc#define_map_K = 0
let g:rust_doc#downloaded_rust_doc_dir = '~/.rustup/toolchains/nightly-x86_64-unknown-linux-gnu'

function! s:search_under_cursor(query) range
	if a:query ==# ''
		echomsg "rust-doc: No identifier is found under the cursor"
		return
	endif

	call rust_doc#open_fuzzy(a:query)
endfunction

nnoremap <buffer><silent><F6> :<C-u>call <SID>search_under_cursor(expand('<cword>'))<CR>
vnoremap <buffer><silent><F6> "gy:call <SID>search_under_cursor(getreg('g'))<CR>


let g:ale_fixers = { }
